#view-allocateManagePair {

  #allocateManagePair-pair {
    font-size: 1.2em;
    font-weight: 800;
    margin-bottom: 1em;
  }

  #allocateManagePair-mainBalance,
  #allocateManagePair-allocationBalance {
    background-color: #97cbd1;
    border-style: solid;
    border-width: 2px;
    text-align: right;
    text-align: center;
    font-size: 150%;
    color: white;
    border-radius: 20px;
    padding: 20px;
    padding-left: 50px;
    background-size: 30px 30px;
    background-repeat: no-repeat;
    background-position: 50px center;

    .spinner-loader {
      filter: brightness(300%);
      scale: 0.8;
      vertical-align: middle;
      margin-left: 3em;
      margin-right: 3em;
      margin-top: 4px;
      margin-bottom: 8px;
    }
  }

  #allocateManagePair-mainBalance {
    background-image: url("./svg/circle1.svg");
    border-color: #578fb8;
  }

  #allocateManagePair-allocationBalance {
    background-image: url("./svg/swap.svg");
    border-color: #a45797;
    margin-bottom: 24px;
  }

  #allocateManagePair-withdraw .icon,
  #allocateManagePair-allocate .icon, {
    vertical-align: middle;
    background-repeat: no-repeat;
    display: inline-block;
    margin-right: 8px;
    width: 20px;
    height: 20px;
    filter: brightness(50%) sepia(100) hue-rotate(130deg);

    svg {
      width: 20px;
      height: 20px;
      margin-bottom: -2px;

      path {
        fill: white !important;
      }
    }
  }

  #allocateManagePair-allocate .icon {
    background-image: url("./svg/receive.svg");
  }

  #allocateManagePair-withdraw .icon {
    background-image: url("./svg/send.svg");
  }

  #allocateManagePair-explain {
    text-align: center;
    padding-bottom: 20px;
  }

  #allocateManagePair-fee {
    border-radius: 5px;
    width: 10em;
    margin-right: 4px;
    text-align: right;
  }

  #allocateManagePair-feeRange {
    max-width: 200px;
    overflow: hidden;
  }

  #allocateManagePair-message {
    margin: 12px;
  }

  .allocateManagePair-arrow-space {
    width: 184px;
    display: inline-block;
  }

  .allocateManagePair-arrow-up {
    /* draw triangle up */
    width: 0;
    height: 0;
    border-bottom: 15px solid #AAA;
    border-left: 80px solid transparent;
    border-right: 80px solid transparent;
    display: inline-block;
    margin-top: 8px;
    margin-bottom: -3px;
    /* margin-left: 48px; */
    opacity: 0.5;
  }

  .allocateManagePair-arrow-down {
    /* draw triangle down */
    width: 0;
    height: 0;
    border-top: 15px solid #AAA;
    border-left: 80px solid transparent;
    border-right: 80px solid transparent;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 3px;
    /* margin-left: 48px; */
    opacity: 0.5;
  }

  #allocateManagePair-pairSettings {
    text-align: left;
    max-width: 460px;
    margin-left: auto;
    margin-right: auto;

    div {
      height: 2em;
    }

    div > span {
      float: right;
      input {
        display: inline-block;
        border-radius: 5px;
        height: 22px;
        margin-top: -2px;
        min-width: 10em;
        margin-right: 4px;
        text-align: right;
      }
    }
  }

  #allocateManagePair-spinner {
    display: none;
    background: linear-gradient(rgba(255,255,255,0.6),rgba(255,255,255,0.7),rgba(255,255,255,0));
    width: calc(100% - 48px);
    height: calc(100% - 80px);
    top: 80px;
    text-align: center;
    position: absolute;
    .spinner-loader {
      margin-top: 25vh;
      margin-left: 0;
    }
  }

  #allocateManagePair-spinner-message {
    margin-top: 24px;
    font-size: 1.2em;
    font-weight: bold;
  }

  //
  // Buttons
  //

  #allocateManagePair-buttons {
    background: none;
    text-align: center;
  }

  #allocateManagePair-allocate {
    width: 170px;
    margin-right: 2%;
    margin-top: 4px;
    margin-bottom: 4px;
  }

  #allocateManagePair-withdraw {
    width: 170px;
    margin-top: 4px;
    margin-bottom: 4px;
  }

  #allocateManagePair-virt {
    display: none;
    background-color: #eeeab2;
    border-color: #d5d088;
    color: #887b55;
    margin-bottom: 16px;
    width: 97%;
    margin-left: auto;
    margin-right: auto;
  }

  #allocateManagePair-delete {
    width: 32%;
    margin-right: 2%;
    background-color: #EDC;
    border-color: #FAA;
    color: #855;
  }

  #allocateManagePair-save {
    width: 62%;
  }

}
